#
# spec file for package light-locker
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           light-locker
Version:        1.7.0
Release:        1.4
Summary:        A simple locker using LightDM
License:        GPL-2.0+
Group:          System/X11/Utilities
Url:            https://github.com/the-cavalry/light-locker
Source:         https://github.com/the-cavalry/%{name}/archive/v%{version}.tar.gz#/%{name}-%{version}.tar.gz
BuildRequires:  xfce4-dev-tools >= 4.7.2
BuildRequires:  pkgconfig(dbus-glib-1) >= 0.30
BuildRequires:  pkgconfig(gobject-2.0) >= 2.25.6
BuildRequires:  pkgconfig(gtk+-3.0)
BuildRequires:  pkgconfig(libsystemd-login)
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xext)
BuildRequires:  pkgconfig(xscrnsaver)
BuildRequires:  pkgconfig(xxf86vm)
Requires:       lightdm >= 1.7.10
Recommends:     %{name}-lang
%glib2_gsettings_schema_requires

%description
light-locker is a simple locker that aims to have simple, sane, secure
defaults and be well integrated with the desktop while not carrying any
desktop-specific dependencies.
It relies on LightDM for locking and unlocking your session via systemd.

%lang_package

%prep
%setup -q
mv -f configure.ac{.in,}

%build
xdt-autogen
%configure \
  --with-dpms-ext      \
  --with-mit-ext       \
  --with-xf86gamma-ext
make %{?_smp_mflags}

%install
%make_install
%find_lang %{name}

%post
%glib2_gsettings_schema_post

%postun
%glib2_gsettings_schema_postun

%files
%defattr(-,root,root)
%doc AUTHORS COPYING COPYING.LIB MAINTAINERS NEWS README
%{_bindir}/%{name}
%{_bindir}/%{name}-command
%{_datadir}/glib-2.0/schemas/*%{name}.gschema.xml
%{_sysconfdir}/xdg/autostart/%{name}.desktop
%{_mandir}/man?/%{name}*

%files lang -f %{name}.lang
%defattr(-,root,root)

%changelog
* Sat Oct 31 2015 sor.alexei@meowr.ru
- Update to 1.7.0:
  * Use lid status for locking and VT switching.
  * Use systemd suspend delay to lock on suspend.
  * Set systemd IdleHint.
  * More small changes.
  * Update translations.
* Sat Mar 21 2015 sor.alexei@meowr.ru
- Actually enable X11 Screen Saver extension.
* Wed Mar 11 2015 sor.alexei@meowr.ru
- Update to 1.6.0 (changes since 1.4.0):
  * Add DBus interface to communicate with the running light-locker.
  * Add GSettings backend to store light-locker configuration.
  * DBus compatibility with KDE and GNOME.
  * Optionally execute command with lock inhibition taken.
  * Man page update.
  * Translations update.
  * New translations.
- Enable DPMS and X11 Screen Saver extensions.
* Fri Apr 18 2014 sor.alexei@meowr.ru
- Initial package.
